# $Revision: 1.26 $, $Date: 2011/03/31 18:11:39 $
Summary:	C++ interface to MySQL Database
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL
Name:		mysql++
Version:	3.0.9
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://tangentsoft.net/mysql++/releases/%{name}-%{version}.tar.gz
# Source0-md5:	4acc1603846fe67d36b6243bfb805652
Patch0:		%{name}-nolibs.patch
URL:		http://tangentsoft.net/mysql++/
BuildRequires:	autoconf
BuildRequires:	bakefile
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mysql++ is a C++ interface to MySQL API.

%description -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL.

%package devel
Summary:	C++ interface to MySQL Database (headers)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (pliki nagłówkowe)
Group:		Development/Libraries
Requires:	libstdc++-devel
Requires:	mysql-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Mysql++ is a C++ interface to MySQL API. Package contains the
development header files necessary to develop MySQL client
applications using Mysql++.

%description devel -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera nagłówki
potrzebne do rozwoju aplikacji klienckich używających Mysql++.

%package static
Summary:	C++ interface to MySQL Database (static libraries)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (biblioteki statyczne)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Mysql++ is a C++ interface to MySQL API. Package contains the static
libraries.

%description static -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera biblioteki
statyczne.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure

%{__make} \
	CXXFLAGS="%{rpmcxxflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

#%files static
#%defattr(644,root,root,755)
#%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql++.spec,v $
Revision 1.26  2011/03/31 18:11:39  arekm
- release 2

Revision 1.25  2009/11/21 21:53:02  baggins
- no static lib

Revision 1.24  2009/11/21 21:51:47  baggins
- up to 3.0.9

Revision 1.23  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.21  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.20  2005/10/27 17:45:41  arekm
- rel 3

Revision 1.19  2005/06/14 11:25:43  zbyniu
- BR: libstdc++-devel, R: libstdc++-devel, mysql-devel in -devel

Revision 1.18  2005/02/12 22:46:25  arekm
rel ++

Revision 1.17  2005/01/07 21:57:06  arekm
- up to 1.7.26

Revision 1.16  2004/04/01 23:27:32  qboosh
- release 5

Revision 1.15  2004/04/01 23:13:06  qboosh
- added libpath patch

Revision 1.14  2004/04/01 23:01:38  qboosh
- eeh, requires --with-mysql-lib for lib64 support

Revision 1.13  2004/04/01 22:56:34  qboosh
- replaced gcc3 patch by better patches from mysql++ site plus additional one
- added nolibs patch, release 4

Revision 1.12  2003/10/02 15:01:34  qboosh
- cosmetics

Revision 1.11  2003/09/10 15:03:19  ankry
- rel. 3

Revision 1.10  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:50:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/25 14:17:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/09/15 13:41:35  qboosh
- added gcc3 patch to allow compiling this mess with libstdc++v3
  (using deprecated <strstream> - don't know how to convert to <sstream>)
- fixed perms, little better descriptions
- release 2

Revision 1.5  2002/08/21 16:51:57  kloczek
- seems now finished :)

Revision 1.4  2002/08/21 15:51:52  kloczek
- final cleanups.

Revision 1.3  2002/08/20 20:02:21  djrzulf
- finished,
- STBR,

Revision 1.2  2002/08/20 19:24:20  djrzulf
- cosmetics (ac/am),
- STBR,

Revision 1.1  2002/08/19 21:41:16  djrzulf
- initial release,
- adapterized,
- look at "TODO" at the top of file, if it's OK -> STBR,
